=== tool/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
#               2022         Bjarne von Horn <vh at igh dot de>
#
# This file is part of the data logging service (DLS).
#
# DLS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# DLS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
# more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the DLS. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

add_executable(tool
    Export.cpp
    Index.cpp
    List.cpp
    main.cpp
)

target_include_directories(tool PRIVATE
    "${CMAKE_CURRENT_BINARY_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/.."
)

target_link_libraries(tool PRIVATE dls uriparser::uriparser)

target_compile_options(tool PRIVATE -Wall)

set_target_properties(tool PROPERTIES
    RUNTIME_OUTPUT_NAME dls
)

install(TARGETS tool
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)
