=== debian/control ===
Source: dls
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), cmake, libfftw3-dev, libfltk1.3-dev, libprotobuf-dev, protobuf-compiler, libpcre3-dev, libpcre3-dev, liburiparser-dev, libxml2-dev, libpcre3, libpcre3-dev, pkg-config, qtchooser, qtbase5-dev, qttools5-dev, qttools5-dev-tools, libqt5svg5-dev, zlib1g-dev, libpdcom5-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), fluid
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.etherlab.org

Package: libdls-dev
Section: libdevel
Architecture: any
Depends: libdls (= ${binary:Version}), ${misc:Depends}, zlib1g-dev, libfftw3-dev
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 .
 Header files of the basic interface library

Package: libdls
Architecture: any
Section: libs
Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 .
 Basic interface library

Package: libdls-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdls (= ${binary:Version}), ${misc:Depends}
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 Basic interface library
 .
 This package contains the debugging symbols for libdls


Package: libdlsqtwidgets-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}), libdls-dev (= ${binary:Version}), ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: DLS data service library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 QT5 widget library
 .
 Header files

Package: libdlsqtwidgets
Architecture: any
Section: libs
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: DLS data service  visualisation library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 QT5 widget library
 .
 Runtime library

Package: libdlsqtwidgets-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}), ${misc:Depends}
Description: DLS data service visualisation library
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 Basic interface library
 .
 This package contains the debugging symbols for libdlsqtwidgets

Package: dls-gui
Architecture: any
Section: science
Priority: extra
Depends: libdlsqtwidgets (= ${binary:Version}),libdls (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, desktop-file-utils, shared-mime-info
Description: DLS data service visualisation frontend
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 QT5 visualisation front end

Package: dls-server
Architecture: any
Section: science
Priority: extra
Depends: libdls (= ${binary:Version}), ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}, desktop-file-utils, shared-mime-info
Description: DLS data service backend server
 DLS is a process data logging service, capable of capturing high-frequency
 data over a long time and storing it in a compressed way. The aim is to allow
 the user unlimited high-performance access to the data at any time. Be it a
 year's overview or a small signal peak in fractions of a second.
 Backend server
