## dls 1.6.8.g048520c

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 cmake_minimum_required(VERSION 3.6)
 
-project(dls VERSION 1.6.2)
+project(dls VERSION 1.6.8) # remember to edit NEWS file
 
 include(CMakeDependentOption)
 include(CMakePackageConfigHelpers)
@@ -48,7 +48,7 @@
 find_package(LibXml2 REQUIRED)
 find_package(PkgConfig)
 pkg_check_modules(FFTW3 REQUIRED fftw3)
-pkg_check_modules(PCRE REQUIRED libpcre)
+pkg_check_modules(PCRE REQUIRED libpcre2-8)
 
 set(protobuf_MODULE_COMPATIBLE ON)
 find_package(Protobuf CONFIG)
