=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,11 @@
     ${DLSD_SOURCES}
 )
 
+set_target_properties(dlsd PROPERTIES
+    CXX_STANDARD 17
+    CXX_STANDARD_REQUIRED 1
+)
+
 target_link_libraries(dlsd PRIVATE
     dls
     EtherLab::pdcom5
