=== script/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #-----------------------------------------------------------------------------
 #
-# Copyright (C) 2012 - 2017  Florian Pose <fp@igh-essen.com>
+# Copyright (C) 2012 - 2025  Florian Pose <fp@igh.de>
 #               2022         Bjarne von Horn <vh at igh dot de>
 #
 # This file is part of the data logging service (DLS).
@@ -22,10 +22,13 @@
 
 set(BINDIR ${CMAKE_INSTALL_FULL_BINDIR})
 configure_file(dls.service.in "${CMAKE_CURRENT_BINARY_DIR}/dls.service" @ONLY)
+configure_file(dls_quota.service.in "${CMAKE_CURRENT_BINARY_DIR}/dls_quota.service" @ONLY)
 configure_file(profile.sh.in "${CMAKE_CURRENT_BINARY_DIR}/profile.sh" @ONLY)
 
 if(DLSD_INSTALL_SERVICE)
     install(FILES "${CMAKE_CURRENT_BINARY_DIR}/dls.service" DESTINATION "${DLSD_INSTALL_SERVICE}")
+    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/dls_quota.service" DESTINATION "${DLSD_INSTALL_SERVICE}")
+    install(FILES dls_quota.timer DESTINATION "${DLSD_INSTALL_SERVICE}")
 endif()
 
 install(PROGRAMS dls_quota.pl DESTINATION ${CMAKE_INSTALL_BINDIR} RENAME dls_quota)
