=== widgets/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 set(DlsWidgets_PUBLIC_HEADERS
     DlsWidgets/export.h
+    DlsWidgets/DlsTypes.h
     DlsWidgets/Graph.h
     DlsWidgets/Layer.h
     DlsWidgets/Model.h
@@ -102,21 +103,16 @@
 )
 
 if (DLS_DESIGNER)
-    target_compile_definitions(DlsWidgets
-        PUBLIC "DLS_DESIGNER=1"
-        PRIVATE "DLS_QT5" "QDESIGNER_EXPORT_WIDGETS"
-    )
-    target_link_libraries(DlsWidgets PRIVATE Qt5::Designer)
-
-    target_sources(DlsWidgets
-        PRIVATE
+    add_library(DlsWidgetsPlugin SHARED
         Plugin.cpp
         WidgetCollection.cpp
         Plugin.h
         WidgetCollection.h
-        )
-else()
-    target_compile_definitions(DlsWidgets PUBLIC "DLS_NO_DESIGNER")
+    )
+    set_target_properties(DlsWidgetsPlugin PROPERTIES
+        AUTOMOC ON
+    )
+    target_link_libraries(DlsWidgetsPlugin PRIVATE Qt5::Designer DlsWidgets)
 endif()
 
 ## install target and headers
@@ -137,7 +133,7 @@
     )
 
     # Install the library in QtDesigner plugin directory
-    install(TARGETS DlsWidgets
+    install(TARGETS DlsWidgetsPlugin
         LIBRARY DESTINATION "${QT_INSTALL_PLUGINS}/designer"
         RUNTIME DESTINATION "${QT_INSTALL_PLUGINS}/designer"
     )
