=== debian/changelog ===
dls (1.6.8.g048520c-0) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 06 Nov 2025 11:41:15 +0000

dls (1.4.0-21) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Update package 
  * Renumbering
  * Fix write permission for group dls on /vol/dls_data
  * Fix permissions on dls_ctl
  * Update to 415d03727b56
  * Reorder dls-server postinstall
  * Update to 0f1f804be808
  * Switch to git, 0d37d3b (HEAD -> master, origin/master, origin/HEAD) Added switch -r to export relative times via command-line tool.
  * 882021c (HEAD -> master, origin/master, origin/HEAD) XML escaping in messages.
  * ec2a862 (HEAD -> master, origin/master, origin/HEAD) Added missing headers.
  * 04269fc (HEAD -> master, tag: 1.4.0-rc3, origin/master, origin/HEAD) Merge branch 'rc3' into 'master'
  * Fix debian patch
  * 9280cdd (HEAD -> master, origin/master, origin/HEAD) Merge branch 'to_utf8' into 'master'
  * b44e2ec (HEAD -> master, origin/master, origin/HEAD) Merge branch 'fix-workflox' into 'master'

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Fri, 16 Dec 2022 15:08:56 +0100

dls (1.4.0-9) unstable; urgency=medium

  * Update auf HG b41a7f101cef
  * Fix dls.service
  * Fix
  * Fix profile path
  * Fix profile path
  * Update to a2e78d0dd817
  * Update to 96661514eb86
  * Move to Qt5 
  * Cleanup packet, native systemd handling
  * Fix debian testing dependencies (qt5-default, dh-systemd)
  * Release
	
 -- Andreas Stewering-Bone <ab@igh.de>  Thu, 31 Dec 2020 13:03:54 +0100

dls (1.4.0-1) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 Oct 2018 22:51:02 +0200
