=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dls
 Priority: optional
 Maintainer: Andreas Stewering-Bone <ab@igh.de>
-Build-Depends: debhelper (>= 9), cmake, libfftw3-dev, libfltk1.3-dev, libprotobuf-dev, protobuf-compiler, libpcre3-dev, libpcre3-dev, liburiparser-dev, libxml2-dev, libpcre3, libpcre3-dev, pkg-config, qtchooser, qtbase5-dev, qttools5-dev, qttools5-dev-tools, libqt5svg5-dev, zlib1g-dev, libpdcom5-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), fluid
+Build-Depends: debhelper (>= 9), cmake, libfftw3-dev, libfltk1.3-dev, libprotobuf-dev, protobuf-compiler, libpcre2-dev, liburiparser-dev, libxml2-dev, libpcre2-8-0, pkg-config, qtchooser, qtbase5-dev, qttools5-dev, qttools5-dev-tools, libqt5svg5-dev, zlib1g-dev, libpdcom5-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), fluid
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.etherlab.org
