=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=-format

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --parallel --with systemd --buildsystem=cmake

override_dh_auto_configure:
	dpkg-parsechangelog --show-field Version > revision
	mkdir -p $(CURDIR)/debian/tmp/lib/systemd/system/
	dh_auto_configure -- -DDLSD_INSTALL_SERVICE=/lib/systemd/system -DDLS_ENVIRONMENT_FILE_LOCATION=/etc/default

.PHONY:
	override_dh_strip

override_dh_strip:
	dh_strip --dbg-package=libdls-dbg
	dh_strip --dbg-package=libdlsqtwidgets-dbg


override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade
