=== requirements.txt ===
bcrypt==3.2.2
cffi==1.15.0
cryptography==37.0.2
dls-pmaclib==3.0.1b1
mock==4.0.3
numpy==1.22.3
packaging==21.3
paramiko==2.10.4
pycparser==2.21
PyNaCl==1.5.0
pyparsing==3.0.8
PyQt5==5.15.6
PyQt5-Qt5==5.15.2
PyQt5-sip==12.10.1
pyserial==3.5
PythonQwt==0.10.1
QtPy==2.1.0
six==1.16.0
